apptainer(1)

NAME
apptainer-instance-stop - Stop a named instance of a given container image

SYNOPSIS
apptainer instance stop [stop options...] [instance]

DESCRIPTION
The command apptainer instance stop allows you to stop and clean up a named,
  running instance of a given container image.

OPTIONS
-a, --all[=false]
    stop all user's instances

-F, --force[=false]
    force kill instance

-h, --help[=false]
    help for stop

-s, --signal=""
    signal sent to the instance

-t, --timeout=10
    force kill non stopped instances after X seconds

-u, --user=""
    if running as root, stop instances belonging to user

EXAMPLE
      $ apptainer instance start my-sql.sif mysql1
      $ apptainer instance start my-sql.sif mysql2
      $ apptainer instance stop mysql*
      Stopping mysql1 instance of my-sql.sif (PID=23845)
      Stopping mysql2 instance of my-sql.sif (PID=23858)
      $ apptainer instance start my-sql.sif mysql1
      Force instance to shutdown
      $ apptainer instance stop -f mysql1 (may corrupt data)
      Send SIGTERM to the instance
      $ apptainer instance stop -s SIGTERM mysql1
      $ apptainer instance stop -s TERM mysql1
      $ apptainer instance stop -s 15 mysql1

SEE ALSO
apptainer-instance(1)

HISTORY
19-Mar-2025 Auto generated by spf13/cobra